API referenceWebhooks
JavaScript SDK: swarmhit.webhooks.get(webhookId)
Authorization
bearerAuth AuthorizationBearer <token>
An API key created on the Access tokens page.
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/webhooks/string"{ "data": { "id": "string", "url": "string", "events": [ "string" ], "enabled": true, "classifyReplies": true, "secret": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "lastDeliveryAt": "2019-08-24T14:15:22Z", "failureCount": 0, "disabledReason": "string" }}Delete a webhook endpoint DELETE
**JavaScript SDK:** [`swarmhit.webhooks.delete(webhookId)`](/smart-api/sdk/methods#webhooks)
List recent deliveries GET
**JavaScript SDK:** [`swarmhit.webhooks.listDeliveries(webhookId, params?)`](/smart-api/sdk/methods#webhooks) The recent delivery attempts for a webhook — useful for debugging an integration. Rows are dropped 7 days after creation.